/***************************************************************************
 **
 **  Copyright (C) 2018-2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FRAMELESS_H
#define FRAMELESS_H

#include <QObject>
#include "frameless_global.h"

namespace Frameless {

// color
FRAMELESS_SHARED_EXPORT QColor argbToColor(const QString &argb);
FRAMELESS_SHARED_EXPORT QString colorToArgb(const QColor &color); /// ffaabbcc

// file
FRAMELESS_SHARED_EXPORT void showInExplorer(QString fileName);

// settings
FRAMELESS_SHARED_EXPORT void setSysSettings(const QString &organization, const QString &application);

} // namespace Frameless

#endif // FRAMELESS_H
